> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/de/powershell-befehle/add-udelement.md).

# Add-UDElement

Add-UDElement fügt ein neues Element in ein übergeordnetes Element innerhalb eines PowerShell Universal-Dashboards ein, wobei sich das Verhalten je nach Typ des übergeordneten Elements unterscheidet.

### Übersicht

Fügt einem übergeordneten Element ein Element hinzu.

### Syntax

```powershell
Add-UDElement [-ParentId] <String> [-Content] <ScriptBlock> [-Broadcast] [<CommonParameters>]
```

### Beschreibung

Fügt einem übergeordneten Element ein Element hinzu. Dieses Cmdlet kann sich je nach Typ des übergeordneten Elements unterschiedlich verhalten.

### Parameter

#### -ParentId

Die ID des übergeordneten Elements, dem das Element hinzugefügt werden soll.

```
Required?                    true
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Content

Der Inhalt, der dem übergeordneten Element hinzugefügt werden soll.

```
Required?                    true
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Broadcast

Ob alle verbundenen Dashboards (alle Benutzer) aktualisiert werden sollen.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Allgemeine Parameter

Dieses Cmdlet unterstützt die allgemeinen Parameter: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable und OutVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Ausgaben

### Beispiele

#### Beispiel 1: Element hinzufügen

```powershell
New-UDElement -Tag 'div' -Id 'addElement1' -Content {}
New-UDButton -Text 'Click Me' -OnClick {
    Add-UDElement -ParentId 'addElement1' -Content {
        New-UDTypography -Text 'Hello World'
    }
}
```

Fügt einem übergeordneten Element ein Element hinzu.

#### Beispiel 2: Broadcast

```powershell
New-UDElement -Tag 'div' -Id 'addElement2' -Content {}
New-UDButton -Text 'Click Me' -OnClick {
    Add-UDElement -ParentId 'addElement2' -Content {
        New-UDTypography -Text 'Hello World'
    } -Broadcast
}
```

Fügt einem übergeordneten Element ein Element hinzu und überträgt es an alle verbundenen Dashboards.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/de/powershell-befehle/add-udelement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
